Discussion:
webassembly. Qt won't configure
(too old to reply)
Pierre Chicoine
2018-12-09 01:01:37 UTC
Permalink
Followed all instructions at:
https://wiki.qt.io/Qt_for_WebAssembly

After installing emscripten

Downloaded qt 5.12 source and tried to compile for webassembly but I get an
error that the webassembly platform doesn't exist when using the qt build
instructions.

after Qt 5 git and init-repository

This instruction line from the site says:
./configure -xplatform wasm-emscripten -nomake examples -prefix
/home/pierre/qt5/qtbase

but gives the error:
ERROR: Invalid target platform 'wasm-emscripten'.

I looked in the configure file in qtbase and I see nothing on this target.

Anyone know what's wrong.

I'm on Linux.

Continue reading on narkive:
Loading...